For the complete documentation index, see llms.txt. This page is also available as Markdown.

Security Protocol

Read a security protocol of an address

get
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
pknumberRequired

Dashdoc's internal id

remote_idstringOptional

If you choose to identify an object with its remote_id instead of its pk then

  • replace the pk value with the remote_id value in the URL

  • specify lookup_field=remote_id in the query parameters

Query parameters
lookup_fieldstringOptional

Used to specify what field is used in the URL to identify the object you're requesting, e.g. with the remote_id (see path parameters)

Responses
200

Get successful

application/json
pknumberOptional

Dashdoc's internal id. It will be automatically generated by Dashdoc.

Example: 1
addressnumberOptional

Id of the address that the security protocol should be linked to.

Example: 1
documentstringOptional

URL of the stored document. You can download the document from this URL.

Example: https://storage.googleapis.com/dashdoc-media/media/shipments/aabd42eb.png
document_titlestringOptional

Filename

updatedstring Β· date-timeOptional

Last updated time

has_been_seen_recentlybooleanOptional

Check if you've seen the security protocol recently. Returns null if it hasn't been seen at all.

get/addresses/{pk}/security-protocol/
200

Get successful

Last updated

Was this helpful?